Simulate soc-based charging plan
GET
/loadpoints/{id}/plan/static/preview/soc/{soc}/{timestamp}
const url = 'https://demo.evcc.io/api/loadpoints/1/plan/static/preview/soc/60/2026-04-15T12%3A00%3A00Z';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://demo.evcc.io/api/loadpoints/1/plan/static/preview/soc/60/2026-04-15T12%3A00%3A00ZSimulate charging plan based on SoC goal. Does not alter the actual charging plan.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
Loadpoint index starting at 1.
integer
Example
1Loadpoint index starting at 1
soc
required
SOC in %
number
Example
60SOC in %
timestamp
required
Timestamp in RFC3339 format
string format: date-time
Timestamp in RFC3339 format
Responses
Section titled “ Responses ”Success - PlanRates result
Media typeapplication/json
object
duration
Duration in s
integer
plan
Array<object>
A time slot with an associated price or emission value.
object
start
required
Start of the time slot.
string format: date-time
end
required
End of the time slot.
string format: date-time
value
required
Price per kWh in the configured currency or emissions in g/kWh.
number
planTime
Timestamp in RFC3339 format
string format: date-time
power
Power in W
number
Example
{ "power": 2500}